KnowledgeBaseAdmin

Get a signed download URL for a platform knowledge document

GET
/admin/knowledge-base/documents/{documentId}/download

Authorization

SupabaseBearer
AuthorizationBearer <token>

Supabase user access token (Authorization: Bearer JWT)

In: header

Path Parameters

documentId*string
Formatuuid

Header Parameters

x-user-id*string

Platform admin Supabase user id

Formatuuid
x-platform-staff-email?string

Platform staff email for @compliwise.io domain verification

Formatemail

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/admin/knowledge-base/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/download" \  -H "x-user-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "url": "http://example.com",  "expiresAt": "2019-08-24T14:15:22Z"}
Empty
{  "message": "string"}
{  "message": "string"}